RESTinio

Public Member Functions | Public Attributes | List of all members
nonstd::variants::detail::TypedVisitorUnwrapper< 4, R, Visitor, T2, T3, T4 > Struct Template Reference

`#include <variant.hpp>`

## Public Member Functions
| TypedVisitorUnwrapper (const Visitor &visitor_, T2 const &val2_, T3 const &val3_, T4 const &val4_)
template<typename T >
R | operator() (const T &val1) const

## Public Attributes
const Visitor & | visitor
T2 const & | val2
T3 const & | val3
T4 const & | val4

## Detailed Description

template<typename R, typename Visitor, typename T2, typename T3, typename T4>
struct nonstd::variants::detail::TypedVisitorUnwrapper< 4, R, Visitor, T2, T3, T4 >

Definition at line 2322 of file variant.hpp.

## Constructor & Destructor Documentation

## ◆ TypedVisitorUnwrapper()

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 >

nonstd::variants::detail::TypedVisitorUnwrapper< 4, R, Visitor, T2, T3, T4 >::TypedVisitorUnwrapper | ( | const Visitor & | visitor_,
|  | T2 const & | val2_,
|  | T3 const & | val3_,
|  | T4 const & | val4_
| ) |  |
| inline

Definition at line 2329 of file variant.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 >
template<typename T >

R nonstd::variants::detail::TypedVisitorUnwrapper< 4, R, Visitor, T2, T3, T4 >::operator() | ( | const T & | val1 | ) | const
| inline

Definition at line 2339 of file variant.hpp.

## Member Data Documentation

## ◆ val2

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 >

T2 const& nonstd::variants::detail::TypedVisitorUnwrapper< 4, R, Visitor, T2, T3, T4 >::val2

Definition at line 2325 of file variant.hpp.

## ◆ val3

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 >

T3 const& nonstd::variants::detail::TypedVisitorUnwrapper< 4, R, Visitor, T2, T3, T4 >::val3

Definition at line 2326 of file variant.hpp.

## ◆ val4

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 >

T4 const& nonstd::variants::detail::TypedVisitorUnwrapper< 4, R, Visitor, T2, T3, T4 >::val4

Definition at line 2327 of file variant.hpp.

## ◆ visitor

template<typename R , typename Visitor , typename T2 , typename T3 , typename T4 >

const Visitor& nonstd::variants::detail::TypedVisitorUnwrapper< 4, R, Visitor, T2, T3, T4 >::visitor

Definition at line 2324 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp